LayeredRenderer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.LayeredRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class LayeredRenderer

    java.lang.Object
      org.biojava.bio.gui.sequence.LayeredRenderer

    public class LayeredRenderer

extends Object

`LayeredRenderer` handles the lane offsets for `MultiLineRender`s. For each successive lane it translates the `Graphics2D` perpendicular to the sequence rendering direction by an amount equal to the value returned by the `getDepth()` method of that lane's renderer.

Since:
  1.1
Author:
  Matthew Pocock, Keith James

Field Summary
`static LayeredRenderer` | `INSTANCE` Static `LayeredRenderer` `INSTANCE` used by `MultiLineRenderer`s.

Constructor Summary
`LayeredRenderer()`

Method Summary
`double` | `getDepth(List srcL, List renderers)` `getDepth` returns the total depth of a list of `SequenceRenderer`s.
`double` | `getMinimumLeader(List srcL, List renderers)` `getMinimumLeader` returns the maximum value of getMinimumLeader() for a list of `SequenceRenderer`s.
`double` | `getMinimumTrailer(List srcL, List renderers)` `getMinimumTrailer` returns the maximum value of getMinimumTrailer() for a list of `SequenceRenderer`s.
`void` | `paint(Graphics2D g, List srcL, List renderers)`
`SequenceViewerEvent` | `processMouseEvent(List srcL, MouseEvent me, List path, List renderers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final LayeredRenderer INSTANCE

  Static `LayeredRenderer` `INSTANCE` used by `MultiLineRenderer`s.

Constructor Detail

### LayeredRenderer

    public LayeredRenderer()

Method Detail

### getDepth

    public double getDepth(List srcL,
                           List renderers)

  `getDepth` returns the total depth of a list of `SequenceRenderer`s.

  Parameters:
    `srcL` - a `List` of `SequenceRenderContext`s.
    `renderers` - a `List` of `SequenceRenderer`s.
  Returns:
    a `double`.

### getMinimumLeader

    public double getMinimumLeader(List srcL,
                                   List renderers)

  `getMinimumLeader` returns the maximum value of getMinimumLeader() for a list of `SequenceRenderer`s.

  Parameters:
    `srcL` - a `List` of `SequenceRenderContext`s.
    `renderers` - a `List` of `SequenceRenderer`s.
  Returns:
    a `double`.

### getMinimumTrailer

    public double getMinimumTrailer(List srcL,
                                    List renderers)

  `getMinimumTrailer` returns the maximum value of getMinimumTrailer() for a list of `SequenceRenderer`s.

  Parameters:
    `srcL` - a `List` of `SequenceRenderContext`s.
    `renderers` - a `List` of `SequenceRenderer`s.
  Returns:
    a `double`.

### paint

    public void paint(Graphics2D g,
                      List srcL,
                      List renderers)

### processMouseEvent

    public SequenceViewerEvent processMouseEvent(List srcL,
                                                 MouseEvent me,
                                                 List path,
                                                 List renderers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD